Bug 906121 - RFE: evince-gtk: a build of evince without GNOME dependencies
Summary: RFE: evince-gtk: a build of evince without GNOME dependencies
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-30 22:07 UTC by Michal Schmidt
Modified: 2016-01-06 10:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-06 10:41:46 UTC


Attachments (Terms of Use)

Description Michal Schmidt 2013-01-30 22:07:44 UTC
I maintain the epdfview package, which is a light-weight PDF viewer based on poppler and gtk. Unfortunately its upstream has gone inactive and non-responsive, so I'd like to remove epdfview from Fedora. I would like to have some other PDF viewer Obsolete epdfview.

A natural upgrade path from epdfview would be to a light-weight build of evince.

Inspiration could be taken from Debian, where the "evince" source package builds the sources twice. The full-features binary package is called "evince", and a light-weight binary package is called "evince-gtk". In Debian the full-featured build is configured with:
DEB_CONFIGURE_EXTRA_FLAGS := --disable-scrollkeeper \
			--enable-gtk-doc \
			--enable-djvu \
			--enable-dvi \
			--enable-t1lib \
			--enable-xps \
			--enable-comics \
			--enable-introspection
and the light-weight build with:
			$(DEB_CONFIGURE_EXTRA_FLAGS) \
			--without-keyring \
			--disable-nautilus \
			--disable-introspection \
			--disable-gtk-doc \
(See the "rules" file inside of http://ftp.de.debian.org/debian/pool/main/e/evince/evince_3.4.0-3.1.debian.tar.gz)

I would like to see a similar build of evince in Fedora (either called "evince-gtk" for similarity with Debian, or under some other name if you don't like this one) and have it Obsolete the last build of epdfview.

Afterwards, I will retire epdfview.

Comment 1 Michal Schmidt 2013-02-14 10:07:31 UTC
(In reply to comment #0)
> I maintain the epdfview package, which is a light-weight PDF viewer based on
> poppler and gtk. Unfortunately its upstream has gone inactive and
> non-responsive,

Jordi Fita (the upstream developer of epdfview) has finally responded to me. He fully supports the idea of removing epdfview and he recommends evince-gtk as a good replacement.

Comment 2 Paul Franklin (RHlists) 2013-06-04 22:55:11 UTC
Is anything happening with this request?  I am using epdfview
in Fedora 18 and if it is going away in Fedora 19 is this going
to replace it?  If so, should I be looking elsewhere for proof
or indications of that?  Thanks.

Comment 3 Marek Kašík 2016-01-06 10:41:46 UTC
The disabled features are basic features of Evince (and of Gnome of which Evince is part). They shouldn't be disabled.


Note You need to log in before you can comment on or make changes to this bug.